> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate datasets with specified metrics



## OpenAPI

````yaml https://raw.githubusercontent.com/getplumai/docs/refs/heads/main/api-reference/openapi.yaml post /evaluate
openapi: 3.0.0
info:
  title: Plum API
  version: 1.1.0
servers:
  - url: https://beta.getplum.ai/v1
security: []
paths:
  /evaluate:
    post:
      summary: Evaluate datasets with specified metrics
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                synthetic_data_id:
                  type: string
                  description: >-
                    ID of synthetic dataset to evaluate (either this or
                    seed_data_id is required)
                seed_data_id:
                  type: string
                  description: >-
                    ID of seed dataset to evaluate (either this or
                    synthetic_data_id is required)
                metrics_id:
                  type: string
                  description: >-
                    ID of metrics to use for evaluation (will use latest if not
                    provided)
                pair_query:
                  type: object
                  description: Optional query parameters to filter dataset pairs
                  properties:
                    latest_n_pairs:
                      type: integer
                      description: >-
                        Maximum number of latest pairs to include (defaults to
                        150 if not provided)
                    pair_labels:
                      type: array
                      items:
                        type: string
                      description: Filter pairs by labels (optional)
                    last_n_seconds:
                      type: integer
                      description: Filter pairs created in the last N seconds (optional)
      responses:
        '200':
          description: Evaluation successfully completed
          content:
            application/json:
              schema:
                type: object
                properties:
                  eval_results_id:
                    type: string
                  dataset_id:
                    type: string
                  created_at:
                    type: string
                  scores:
                    type: array
                    items:
                      type: object
                      properties:
                        metric:
                          type: string
                        mean_score:
                          type: number
                        std_dev:
                          type: number
                        ci_low:
                          type: number
                        ci_high:
                          type: number
                        ci_confidence:
                          type: number
                        median_score:
                          type: number
                        min_score:
                          type: number
                        max_score:
                          type: number
                        lowest_scoring_pairs:
                          type: array
                          items:
                            type: object
                            properties:
                              pair_id:
                                type: string
                              score_reason:
                                type: string
                  pair_count:
                    type: integer
        '403':
          description: Forbidden - dataset size exceeds plan limit
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````